Subject: Re: [Thuban-list] Thuban on OS X - gdal problem

From: Lorenzo Moretti <[email-masked]>
Date: Thu, 22 Jul 2004 10:49:57 +0200

>Content-Type: multipart/signed; micalg=SHA1;
>	protocol="application/pgp-signature"; boundary="/3yNEOqWowh/8j+e"
>Content-Disposition: inline
>
>On Wed, Jul 21, 2004 at 10:49:48AM +0200, Lorenzo Moretti wrote:
>>
>>     I've built Thuban cvs on OS X but I have some problems
>>       Thuban 1.1 cvs-20040716
>
>>     At the other side Thuban with shape works very well (class map with
>>     text string is fantastic). It's very fast..
>
>Great!
>Can you contribute a nice screenshot for Mac OS X?

Thuban on OS X now has psycopg: it works with postgis layers.
One big thing is miss: GDAL with python support .... acch

In the future Thuban will support GDAL-OGR (raster-vector) formats?

Bernhard wrote

>Usually this is done modifying the environment variables.
>I do not know about Mac OS 10, but you can type
>in a command line
>	PYTHONPATH=something
>	export PYTHONPATH
>
>your operating system documentation should tell you where you
>can set that permanently. Usually to have those lines
>in ~/.bashrc or ~/.bash_profile
>
>Another way is to use thubanstart.py and
>have something like the following in there:
>
>import sys
>sys.path.append("/usr/lib/thuban/Extensions")

I've tried all but it doesn't work. PYTHONPATH is not recognized in 
OS X??? The only way for entering extension is to write:

import importAPR
import gns2shp
....

but I must put the extensions on .thuban folder in my home folder

Bye

-- 
________________________________________________________________________
||       Lorenzo Moretti        e-mail: [email-masked]     
||/|/|   ENEA prot/idr          Web: http://wwwamb.bologna.enea.it/    
||   |   via Don Fiammelli, 2   FTP: ftp://ftpamb.bologna.enea.it/ (res.)
~~~~~~   40128 BOLOGNA - ITALY  Ph: +39-0516098086  Fax: +39-0516098131
			Download GRASS for MAC OS X:    
	           http://wwwamb.bologna.enea.it/forgrass/
________________________________________________________________________